import { ResumeDataType } from "../../config/types";
import { request } from "../requests";

export default class ResumeAPI {
  static extractResumeData = (payload: {
    resume_url: string;
    user_id: string;
  }) => request("<BASE_URL>/resume/extract", "POST", payload);

  static getResumeScores = (payload: {
    resume_url: string;
    user_id: string;
    primary_skills: string[];
    secondary_skills: string[];
    job_desc: string;
  }) => request("<BASE_URL>/resume/get-scores", "POST", payload);
}
